/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2020 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
#pragma once

#define REVERSE_TEMP_SENSOR_RANGE_338 1

// Pt1000 with OP388 Linearized Amplifier with 3.3V supply and Vref, 10 Bit
constexpr temp_entry_t temptable_338[] PROGMEM = {
  { OV(   1.6014),   0 },
  { OV(  22.2329),  10 },
  { OV(  42.8628),  20 },
  { OV(  63.4880),  30 },
  { OV(  84.1080),  40 },
  { OV( 104.7227),  50 },
  { OV( 125.3311),  60 },
  { OV( 145.9341),  70 },
  { OV( 166.5305),  80 },
  { OV( 187.1203),  90 },
  { OV( 207.7031), 100 },
  { OV( 228.2790), 110 },
  { OV( 248.8427), 120 },
  { OV( 269.4080), 130 },
  { OV( 289.9607), 140 },
  { OV( 310.5050), 150 },
  { OV( 331.0406), 160 },
  { OV( 351.5676), 170 },
  { OV( 372.0853), 180 },
  { OV( 392.5936), 190 },
  { OV( 413.0921), 200 },
  { OV( 433.5806), 210 },
  { OV( 454.0589), 220 },
  { OV( 474.5263), 230 },
  { OV( 494.9829), 240 },
  { OV( 515.4283), 250 },
  { OV( 535.8620), 260 },
  { OV( 556.2842), 270 },
  { OV( 576.6939), 280 },
  { OV( 597.0913), 290 },
  { OV( 617.4757), 300 },
  { OV( 637.8473), 310 },
  { OV( 658.2056), 320 },
  { OV( 678.5500), 330 },
  { OV( 698.8804), 340 },
  { OV( 719.1966), 350 },
  { OV( 739.4982), 360 },
  { OV( 759.7849), 370 },
  { OV( 780.0561), 380 },
  { OV( 800.3118), 390 },
  { OV( 820.5517), 400 },
  { OV( 840.7755), 410 },
  { OV( 860.9825), 420 },
  { OV( 881.1728), 430 },
  { OV( 901.3458), 440 },
  { OV( 921.5014), 450 },
  { OV( 941.6390), 460 },
  { OV( 961.7586), 470 },
  { OV( 981.8596), 480 },
  { OV(1001.9417), 490 },
  { OV(1022.0009), 500 }
};

/*
// Pt1000 with OP388 Linearized Amplifier with 3.3V supply (Vref), 12 Bit
  { OV(   8),   0 },
  { OV(  44),  10 },
  { OV( 172),  20 },
  { OV( 252),  30 },
  { OV( 336),  40 },
  { OV( 420),  50 },
  { OV( 500),  60 },
  { OV( 584),  70 },
  { OV( 668),  80 },
  { OV( 748),  90 },
  { OV( 832), 100 },
  { OV( 912), 110 },
  { OV( 996), 120 },
  { OV(1076), 130 },
  { OV(1160), 140 },
  { OV(1244), 150 },
  { OV(1324), 160 },
  { OV(1408), 170 },
  { OV(1488), 180 },
  { OV(1572), 190 },
  { OV(1652), 200 },
  { OV(1736), 210 },
  { OV(1816), 220 },
  { OV(1900), 230 },
  { OV(1980), 240 },
  { OV(2060), 250 },
  { OV(2144), 260 },
  { OV(2224), 270 },
  { OV(2308), 280 },
  { OV(2388), 290 },
  { OV(2468), 300 },
  { OV(2552), 310 },
  { OV(2632), 320 },
  { OV(2716), 330 },
  { OV(2796), 340 },
  { OV(2876), 350 },
  { OV(2956), 360 },
  { OV(3040), 370 },
  { OV(3120), 380 },
  { OV(3200), 390 },
  { OV(3284), 400 },
  { OV(3364), 410 },
  { OV(3444), 420 },
  { OV(3524), 430 },
  { OV(3604), 440 },
  { OV(3688), 450 },
  { OV(3768), 460 },
  { OV(3848), 470 },
  { OV(3928), 480 },
  { OV(4008), 490 },
  { OV(4088), 500 }
};


